variables:
#  DOCKER_HOST: tcp://localhost:2375
  DOCKER_DRIVER: overlay2
  TAG: $CI_REGISTRY_IMAGE:$CI_COMMIT_SHORT_SHA
  TAG_LATEST: $CI_REGISTRY_IMAGE:latest

stages:
  - build
  - deploy

build:
  stage: build
  image: docker:stable
  services:
  - docker:dind
  before_script:
  - echo "$CI_REGISTRY_PASSWORD" | docker login -u "$CI_REGISTRY_USER" "$CI_REGISTRY" --password-stdin
  script:
  - docker pull $TAG_LATEST || true
  - docker build --cache-from $TAG_LATEST --tag $TAG --tag $TAG_LATEST ./web
  - docker push $TAG
  - docker push $TAG_LATEST

deploy:
  stage: deploy
  image: registry.gitlab.com/gitlab-examples/kubernetes-deploy
  environment: production
  script:
  - sed "s@<IMAGE>@${TAG}@g" orch/web.yaml | kubectl apply -f -
